<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 22/5/2018
 * Time: 3:16 AM
 */

include '../comun/validarSesion.php';
include '../comun/notificacion.php';

if (isset($_REQUEST['token'])) {
    $Valido = new validator();
    $Notificar = new Notificacion();

    if ($Valido->checkToken($_REQUEST['token'])){
        if (isset($_REQUEST['codigoEntrada'])) {
            $idUsuario = $Valido->retornarIdToken($_REQUEST['token']);
            $idResidente='';
            $visitante='';
            $propietariodireccion = array();
            $codigoEntrada = $_REQUEST['codigoEntrada'];
            $visitaEncontrada = R::find('visita', 'codigo_entrada =:codigoEntrada AND estado =:estado', array('codigoEntrada' => $codigoEntrada, 'estado' => '1'));
            if ($visitaEncontrada==FALSE){
                include '../comun/mensajeCodigoYaUsadoOInvalido.php';
            }else{
                $visita = R::load('visita', $visitaEncontrada[1]['id']);
                $visita->escaneadoPor = $idUsuario;
                $idResidente=$visitaEncontrada[1]['registrado_por'];
                $visitante=$visitaEncontrada[1]['nombre'];
                $visita->fechaEscaneado = date('Y-m-d H:i:s');
                $visita->estado = 2;
                $id = R::store($visita);
                include '../comun/mensajeValidadoExitosamente.php';
                $direcciondenotificacion = R::findOne( 'directorionotificacion', ' id_usr = ? ', [$idResidente] );
                if(strlen($direcciondenotificacion['token_notificacion'])>2){
                    array_push($propietariodireccion,$direcciondenotificacion['token_notificacion']);
                }
                $mensaje = "Te informamos que tu visitante ".$visitante." ya llegó.";
                if (sizeof($propietariodireccion>0)){
                    $Notificar->grupal($mensaje, $propietariodireccion);
                }

            }

        }else{
            include '../comun/mensajeFaltanCampos.php';
        }
    }else{
        include '../comun/mensajeDatosInvalidos.php';
    }
}else{
    include '../comun/mensajeSesionInvalida.php';
}

